Extending Qt Creator Manual | BuildStepInfo

Extending Qt Creator Manual 4.5.2

# BuildStepInfo Class

(ProjectExplorer::BuildStepInfo)

- List of all members, including inherited members

## Public Types

enum | Flags { Uncreatable, Unclonable, UniqueStep }

## Public Functions

| BuildStepInfo()
| BuildStepInfo(Core::Id id, const QString &displayName, Flags flags = Flags())

## Member Type Documentation

### enum BuildStepInfo::Flags

## Member Function Documentation

### BuildStepInfo::BuildStepInfo()

Default constructs an instance of BuildStepInfo.

### BuildStepInfo::BuildStepInfo(Core::Id id, const QString &displayName, Flags flags = Flags())

Default constructs an instance of BuildStepInfo.